## Ignore Visual Studio temporary files, build results, and
## files generated by popular Visual Studio add-ons.

# User-specific files
*.suo
*.user
*.sln.docstates

# Build results

[Dd]ebug/
[Rr]elease/
x64/
[Bb]in/
[Oo]bj/

# New VS2015 folders
.vs/

# Enable "build/" folder in the NuGet Packages folder since NuGet packages use it for MSBuild targets
!packages/*/build/

# MSTest test Results
[Tt]est[Rr]esult*/
[Bb]uild[Ll]og.*

*_i.c
*_p.c
*.ilk
*.meta
*.obj
*.pch
*.pdb
*.pgc
*.pgd
*.rsp
*.sbr
*.tlb
*.tli
*.tlh
*.tmp
*.tmp_proj
*.log
*.vspscc
*.vssscc
.builds
*.pidb
*.log
*.scc

# Visual C++ cache files
ipch/
*.aps
*.ncb
*.opensdf
*.sdf
*.cachefile

# Visual Studio profiler
*.psess
*.vsp
*.vspx

# Guidance Automation Toolkit
*.gpState

# ReSharper is a .NET coding add-in
_ReSharper*/
*.[Rr]e[Ss]harper

# TeamCity is a build add-in
_TeamCity*

# DotCover is a Code Coverage Tool
*.dotCover

# NCrunch
*.ncrunch*
.*crunch*.local.xml

# Installshield output folder
[Ee]xpress/

# DocProject is a documentation generator add-in
DocProject/buildhelp/
DocProject/Help/*.HxT
DocProject/Help/*.HxC
DocProject/Help/*.hhc
DocProject/Help/*.hhk
DocProject/Help/*.hhp
DocProject/Help/Html2
DocProject/Help/html

# Click-Once directory
publish/

# NuGet Packages Directory
packages/

# Compare files
*.orig

# Windows Azure Build Output
csx
*.build.csdef

# Windows Store app package directory
AppPackages/

# Others
sql/
*.Cache
ClientBin/
[Ss]tyle[Cc]op.*
~$*
*~
*.dbmdl
*.pfx
*.publishsettings
*.swp

# RIA/Silverlight projects
Generated_Code/

# Backup & report files from converting an old project file to a newer
# Visual Studio version. Backup files are not needed, because we have git ;-)
_UpgradeReport_Files/
Backup*/
UpgradeLog*.XML
UpgradeLog*.htm

# SQL Server files
App_Data/*.mdf
App_Data/*.ldf

# =========================
# Windows detritus
# =========================

# Windows image file caches
Thumbs.db
ehthumbs.db

# Folder config file
Desktop.ini

# Recycle Bin used on file shares
$RECYCLE.BIN/

# Mac crap
.DS_Store

# TeX files
Documentation/*.aux
Documentation/*.out
Documentation/*.pdf
Documentation/*.idx
Documentation/*.toc
Documentation/*.gz

# image resizer cache
imagecache/
*.DotSettings

# TypeScript mapping files
*.js.map

# Exclude all Typescript-generated JS files
src/Sunrise.Web.Customer/App/*.js
src/Sunrise.Web.Customer/App/**/*.js
src/Sunrise.Web.Customer/App/**/*.js
src/Sunrise.Web.Customer/Views/**/*.js
src/Sunrise.Web.Customer/Areas/**/*.js
src/Sunrise.Web.Support/Views/**/*.js

*.GhostDoc.user.dic
*.GhostDoc.xml

/TestResult.xml
*.VisualState.xml

artifacts/
/src/Sunrise.Web.Customer/Scripts/typings

# Db project
src/Sunrise.Database/*.jfm
src/Sunrise.Database/Sunrise.Database.jfm
/src/Sunrise.Database/*.jfm
/src/Sunrise.Database/Sunrise.Database.jfm
/src/Sunrise.Web.Customer/node_modules

# node modules
node_modules
.eslintrc

#NCrunch folders
_NCrunch*/
src/Sunrise.Web.FrontEnd/.eslintrc.js
src/Sunrise.Web.FrontEnd/.prettierrc
src/Sunrise.Web.FrontEnd/.vscode/settings.json
src/Sunrise.Web.Customer/Content/bundles/vendor.js
